> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Fulfillment Settings

> Creates fulfillment settings for the site, which includes bpm settings, ship to store, back order days etc.



## OpenAPI

````yaml /openapi/openapi_settings.json post /commerce/settings/fulfillment/fulfillmentsettings
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SETTINGS">
                <h2>SITE SETTINGS</h2>
                <p>The Site Settings APIs are a collection of resources used to manage settings for sites, checkout, installed applications, locations,
                    shipping, and general settings for a site. For more information about site settings and the associated configurations in the Unified Commerce Admin
                    interface, see the <a href="/pages/system">Settings user guides</a>.</p>
                <p>Use the <strong>Cart</strong> resource to manage settings for the cart, such as whether to include handling fees in the
                    cost calculations.</p>
                <p>Use the <strong>Checkout Settings</strong> resource to specify the site-wide settings that define checkout and order
                    processing behavior. This resource includes subresources for payment settings, customer checkout
                    settings, and order processing settings.</p>
                <p>Use the <strong>Fulfillment Settings</strong> resource to define site-wide fulfillment options such as the default
                    backorder duration, rejection actions, and BPM configurations.</p>
                <p>Use the <strong>General Settings</strong> resource to define global site settings such as the site name, shipping and
                    email addresses, and logo images. You can block undesirable IP addresses using this resource as well as
                    configure <a href="/pages/custom-route-settings">custom
                        routes</a>.</p>
                <p>Use the <strong>Inventory Settings</strong> resource to enable or disable inventory jobs and set a preferred time of day
                    for the jobs to run at.</p>
                <p>Use the <strong>Return Settings</strong> resource to specify the default return options for processing fees, shipping
                    locations, and label generation.</p>
                <p>Use the <strong>Shipping</strong> resource to manage settings for the site shipping information, such as origin address
                    information, carrier shipping methods, shipping rate providers, and regions available for shipping.</p>
            </div>
  title: Site Settings
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/settings/fulfillment/fulfillmentsettings:
    post:
      tags:
        - FulfillmentSettings
      summary: Create Fulfillment Settings
      description: >-
        Creates fulfillment settings for the site, which includes bpm settings,
        ship to store, back order days etc.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FulfillmentSettings'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FulfillmentSettings'
            text/json:
              schema:
                $ref: '#/components/schemas/FulfillmentSettings'
            text/plain:
              schema:
                $ref: '#/components/schemas/FulfillmentSettings'
          description: OK
components:
  schemas:
    FulfillmentSettings:
      properties:
        actionOnBOPISReject:
          nullable: true
          type: string
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        bpmConfiguration:
          $ref: '#/components/schemas/BPMConfiguration'
        configurableShipmentRelease:
          $ref: '#/components/schemas/ConfigurableShipmentRelease'
        createShipmentsOnPendingReview:
          $ref: '#/components/schemas/CreateShipmentsOnPendingReview'
        defaultBackOrderDays:
          format: int32
          nullable: true
          type: integer
        deliveryConsolidation:
          $ref: '#/components/schemas/DeliveryConsolidation'
        fulfillerSettings:
          $ref: '#/components/schemas/FulfillerSettings'
        fulfillmentJobSettings:
          $ref: '#/components/schemas/FulfillmentJobSettings'
        futureDateLimit:
          $ref: '#/components/schemas/FutureDateLimit'
        futureInventoryEnabled:
          nullable: true
          type: boolean
        paymentVoidAndReauth:
          nullable: true
          type: boolean
        retainFlatRatePerOrder:
          nullable: true
          type: boolean
        shipToHomeConsolidation:
          $ref: '#/components/schemas/ShipToHomeConsolidation'
        shipToStore:
          $ref: '#/components/schemas/ShipToStore'
        shipmentsOnHold:
          $ref: '#/components/schemas/ShipmentsOnHold'
        substitution:
          $ref: '#/components/schemas/Substitution'
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    BPMConfiguration:
      properties:
        containerId:
          nullable: true
          type: string
        processId:
          nullable: true
          type: string
      type: object
    ConfigurableShipmentRelease:
      properties:
        b2BOrderRelease:
          $ref: '#/components/schemas/B2BOrderRelease'
        isEnabled:
          type: boolean
        refreshPricingOnOrderEdit:
          description: >-
            Indicates whether pricing should be refreshed when orders are
            edited.
          nullable: true
          type: boolean
        reserveInventoryOnOrderPendingShipment:
          type: boolean
        shipmentCreationOffset:
          format: int32
          nullable: true
          type: integer
      type: object
    CreateShipmentsOnPendingReview:
      properties:
        isEnabled:
          type: boolean
      type: object
    DeliveryConsolidation:
      properties:
        allowPartialFulfillment:
          description: AllowPartialFulfillment
          type: boolean
        cancellationOnParentShipment:
          type: boolean
        forceDeliveryConsolidation:
          type: boolean
        isEnabled:
          type: boolean
        multipleConsolidation:
          description: MultipleConsolidation
          type: boolean
        restrictedCancellationSteps:
          items:
            type: string
          nullable: true
          type: array
        shippingMethodDeliveryConsolidation:
          $ref: '#/components/schemas/ShippingMethod'
      type: object
    FulfillerSettings:
      properties:
        editShipment:
          type: boolean
      type: object
    FulfillmentJobSettings:
      properties:
        pickupReminderJob:
          $ref: '#/components/schemas/PickupReminderJob'
        releaseBackorderJob:
          $ref: '#/components/schemas/ReleaseBackorderJob'
      type: object
    FutureDateLimit:
      properties:
        futureDateLimitQuantity:
          format: int32
          type: integer
        futureDateLimitUnit:
          nullable: true
          type: string
      type: object
    ShipToHomeConsolidation:
      properties:
        allowPartialFulfillment:
          description: AllowPartialFulfillment
          type: boolean
        cancellationSTHC:
          $ref: '#/components/schemas/Cancellation'
        forceSTHConsolidationOnSplitShipments:
          $ref: '#/components/schemas/ForceSTHConsolidationOnSplitShipments'
        isEnabled:
          type: boolean
        multipleConsolidation:
          $ref: '#/components/schemas/MultipleConsolidation'
        shippingMethodSTHC:
          $ref: '#/components/schemas/ShippingMethod'
      type: object
    ShipToStore:
      properties:
        alwaysCreateTransferShipments:
          type: boolean
        cancellation:
          $ref: '#/components/schemas/Cancellation'
        isEnabled:
          type: boolean
        shippingMethod:
          $ref: '#/components/schemas/ShippingMethod'
      type: object
    ShipmentsOnHold:
      properties:
        autoRelease:
          $ref: '#/components/schemas/AutoRelease'
        enabled:
          nullable: true
          type: boolean
        manualRelease:
          nullable: true
          type: boolean
      type: object
    Substitution:
      properties:
        repriceOnSubstitution:
          type: boolean
      type: object
    B2BOrderRelease:
      properties:
        automaticReleaseOffset:
          format: int32
          nullable: true
          type: integer
        isEnabled:
          type: boolean
        releaseType:
          nullable: true
          type: string
      type: object
    ShippingMethod:
      properties:
        code:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    PickupReminderJob:
      allOf:
        - $ref: '#/components/schemas/FulfillmentJob'
        - additionalProperties: false
          type: object
    ReleaseBackorderJob:
      properties:
        interval:
          format: int32
          type: integer
        isEnabled:
          type: boolean
        partialReleaseEnabled:
          type: boolean
        partialReleaseType:
          nullable: true
          type: string
      type: object
    Cancellation:
      properties:
        onParentShipment:
          type: boolean
        restrictedSteps:
          items:
            type: string
          nullable: true
          type: array
      type: object
    ForceSTHConsolidationOnSplitShipments:
      properties:
        isEnabled:
          type: boolean
      type: object
    MultipleConsolidation:
      properties:
        isEnabled:
          type: boolean
      type: object
    AutoRelease:
      properties:
        enabled:
          nullable: true
          type: boolean
        jobInterval:
          $ref: '#/components/schemas/JobInterval'
      type: object
    FulfillmentJob:
      properties:
        interval:
          format: int32
          type: integer
        isEnabled:
          type: boolean
      type: object
    JobInterval:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: int32
          nullable: true
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````